package com.fjhx.service.apply;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.apply.ApplyPurchaseDetails;
import com.fjhx.params.apply.ApplyPurchaseDetailsVo;
import com.fjhx.base.StorageBaseService;

import java.util.Map;

/**
 * <p>
 * 物料申购明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-14
 */
public interface ApplyPurchaseDetailsService extends StorageBaseService<ApplyPurchaseDetails> {

    Page<ApplyPurchaseDetails> getPage(Map<String, String> condition);

    void add(ApplyPurchaseDetailsVo applyPurchaseDetailsVo);

    void edit(ApplyPurchaseDetailsVo applyPurchaseDetailsVo);

    void delete(ApplyPurchaseDetailsVo applyPurchaseDetailsVo);

}
